OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PColgp

# PColgp_VArrayNodeOfFieldOfHArray1OfXYZ Class Reference

`#include <PColgp_VArrayNodeOfFieldOfHArray1OfXYZ.hxx>`

Inheritance diagram for PColgp_VArrayNodeOfFieldOfHArray1OfXYZ:

[legend]

## Public Member Functions
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray1OfXYZ ()
Standard_EXPORT | PColgp_VArrayNodeOfFieldOfHArray1OfXYZ (const gp_XYZ &aValue)
Standard_EXPORT void | SetValue (const gp_XYZ &aValue)
Standard_EXPORT Standard_Address | Value () const
| PColgp_VArrayNodeOfFieldOfHArray1OfXYZ (const Storage_stCONSTclCOM &a)
const gp_XYZ & | _CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfXYZmyValue () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
gp_XYZ | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::PColgp_VArrayNodeOfFieldOfHArray1OfXYZ | ( |  | ) |

Standard_EXPORT PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::PColgp_VArrayNodeOfFieldOfHArray1OfXYZ | ( | const gp_XYZ & | aValue | ) |

PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::PColgp_VArrayNodeOfFieldOfHArray1OfXYZ | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

const gp_XYZ& PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::_CSFDB_GetPColgp_VArrayNodeOfFieldOfHArray1OfXYZmyValue | ( |  | ) | const`[inline]`

Standard_EXPORT const PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::SetValue | ( | const gp_XYZ & | aValue | ) |

Standard_EXPORT Standard_Address PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::Value | ( |  | ) | const

## Field Documentation

gp_XYZ PColgp_VArrayNodeOfFieldOfHArray1OfXYZ::myValue`[private]`

The documentation for this class was generated from the following file:

- PColgp_VArrayNodeOfFieldOfHArray1OfXYZ.hxx